Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 719606 - dev-java/openjfx-11.0.7_p1 : fails to build with -fno-common or gcc-10
Summary: dev-java/openjfx-11.0.7_p1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Georgy Yakovlev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-04-26 12:50 UTC by Toralf Förster
Modified: 2020-04-29 21:05 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.49 KB, text/plain)
2020-04-26 12:50 UTC, Toralf Förster
Details
dev-java:openjfx-11.0.7_p1:20200426-120312.log.bz2 (dev-java:openjfx-11.0.7_p1:20200426-120312.log.bz2,64.06 KB, application/x-bzip)
2020-04-26 12:50 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,229.39 KB, text/plain)
2020-04-26 12:50 UTC, Toralf Förster
Details
environment (environment,166.57 KB, text/plain)
2020-04-26 12:50 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,20.86 KB, application/x-bzip)
2020-04-26 12:50 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-04-26 12:50:34 UTC
/usr/lib/gcc/x86_64-pc-linux-gnu/9.3.0/../../../../x86_64-pc-linux-gnu/bin/ld: /var/tmp/portage/dev-java/openjfx-11.0.7_p1/work/rt-11.0.7+1/modules/javafx.media/build/native/linux/Release/obj/gstreamer-lite/gstreamer/gst/gstallocator.o:(.bss.GST_CAT_LOCKING+0x0): multiple definition of `GST_CAT_LOCKING'; /var/tmp/portage/dev-java/openjfx-11.0.7_p1/work/rt-11.0.7+1/modules/javafx.media/build/native/linux/Release/obj/gstreamer-lite/gstreamer/gst/gst.o:(.bss.GST_CAT_LOCKING+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-libressl-20200419-214828

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.3.0 *
clang version 10.0.0 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.42.0 *
The following VMs are available for generation-2:
*)	IcedTea JDK 3.15.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.0.2

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Sun 26 Apr 2020 10:16:52 AM UTC
/var/db/repos/libressl	Sat 11 Apr 2020 05:02:25 AM UTC

emerge -qpvO dev-java/openjfx
[ebuild  N    ] dev-java/openjfx-11.0.7_p1  USE="media -debug -doc -source" CPU_FLAGS_X86="sse2"
Comment 1 Toralf Förster gentoo-dev 2020-04-26 12:50:37 UTC
Created attachment 634640 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-04-26 12:50:39 UTC
Created attachment 634642 [details]
dev-java:openjfx-11.0.7_p1:20200426-120312.log.bz2
Comment 3 Toralf Förster gentoo-dev 2020-04-26 12:50:42 UTC
Created attachment 634644 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-04-26 12:50:45 UTC
Created attachment 634646 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-04-26 12:50:48 UTC
Created attachment 634648 [details]
etc.portage.tbz2
Comment 6 Larry the Git Cow gentoo-dev 2020-04-29 21:05:39 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a3613d5eee1cdaa0c8465a924818bb1348d39918

commit a3613d5eee1cdaa0c8465a924818bb1348d39918
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-04-29 21:00:40 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-04-29 21:05:01 +0000

    dev-java/openjfx: fix build with uncommon TERM, add -fcommon
    
    Closes: https://bugs.gentoo.org/719606
    Closes: https://bugs.gentoo.org/719958
    Closes: https://bugs.gentoo.org/688894
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-java/openjfx/openjfx-11.0.7_p1.ebuild | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)